Ticket #44410

Check unit activity on transforming

Date d'ouverture: 2022-04-18 04:48 Dernière mise à jour: 2022-05-15 14:25

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
1

Détails

Noticed by Dino the Dinosore here. When a unit is auto-upgraded, it may continue its former activity even if its new type can't do it; though the activity is canceled if the situation is loaded from a savegame.

An obvious solution is placing an activity check into transform_unit() in server/unittools.c.

Ticket History (3/7 Histories)

2022-04-18 04:48 Updated by: ihnatus
  • New Ticket "Check unit activity on transforming" created
2022-04-18 04:51 Updated by: ihnatus
  • Details Updated
2022-04-18 22:06 Updated by: cazfi
Commentaire

nef: "Another option to consider is to not allow the upgrade while the unit is doing something the upgrade cant do."

2022-04-24 06:46 Updated by: cazfi
Commentaire

For the lack of 100% reliable tools to speculate what action enablers would be active after the unit transformation, we probably can't go by nef's idea for the time being. At least in the stable branches we should just add cancelling of the illegal activities after unit has already transformed.

2022-05-01 07:53 Updated by: cazfi
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Aucun to Accepted
2022-05-15 14:25 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion